package com.tzld.piaoquan.growth.common.model.po;

import com.tzld.piaoquan.growth.common.utils.page.Page;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CorpStatisticsTotalExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    protected Page page;

    public CorpStatisticsTotalExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setPage(Page page) {
        this.page=page;
    }

    public Page getPage() {
        return page;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDateIsNull() {
            addCriterion("`date` is null");
            return (Criteria) this;
        }

        public Criteria andDateIsNotNull() {
            addCriterion("`date` is not null");
            return (Criteria) this;
        }

        public Criteria andDateEqualTo(String value) {
            addCriterion("`date` =", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateNotEqualTo(String value) {
            addCriterion("`date` <>", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateGreaterThan(String value) {
            addCriterion("`date` >", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateGreaterThanOrEqualTo(String value) {
            addCriterion("`date` >=", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateLessThan(String value) {
            addCriterion("`date` <", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateLessThanOrEqualTo(String value) {
            addCriterion("`date` <=", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateLike(String value) {
            addCriterion("`date` like", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateNotLike(String value) {
            addCriterion("`date` not like", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateIn(List<String> values) {
            addCriterion("`date` in", values, "date");
            return (Criteria) this;
        }

        public Criteria andDateNotIn(List<String> values) {
            addCriterion("`date` not in", values, "date");
            return (Criteria) this;
        }

        public Criteria andDateBetween(String value1, String value2) {
            addCriterion("`date` between", value1, value2, "date");
            return (Criteria) this;
        }

        public Criteria andDateNotBetween(String value1, String value2) {
            addCriterion("`date` not between", value1, value2, "date");
            return (Criteria) this;
        }

        public Criteria andCorpIdIsNull() {
            addCriterion("corp_id is null");
            return (Criteria) this;
        }

        public Criteria andCorpIdIsNotNull() {
            addCriterion("corp_id is not null");
            return (Criteria) this;
        }

        public Criteria andCorpIdEqualTo(Long value) {
            addCriterion("corp_id =", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdNotEqualTo(Long value) {
            addCriterion("corp_id <>", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdGreaterThan(Long value) {
            addCriterion("corp_id >", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdGreaterThanOrEqualTo(Long value) {
            addCriterion("corp_id >=", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdLessThan(Long value) {
            addCriterion("corp_id <", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdLessThanOrEqualTo(Long value) {
            addCriterion("corp_id <=", value, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdIn(List<Long> values) {
            addCriterion("corp_id in", values, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdNotIn(List<Long> values) {
            addCriterion("corp_id not in", values, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdBetween(Long value1, Long value2) {
            addCriterion("corp_id between", value1, value2, "corpId");
            return (Criteria) this;
        }

        public Criteria andCorpIdNotBetween(Long value1, Long value2) {
            addCriterion("corp_id not between", value1, value2, "corpId");
            return (Criteria) this;
        }

        public Criteria andChatCntIsNull() {
            addCriterion("chat_cnt is null");
            return (Criteria) this;
        }

        public Criteria andChatCntIsNotNull() {
            addCriterion("chat_cnt is not null");
            return (Criteria) this;
        }

        public Criteria andChatCntEqualTo(Integer value) {
            addCriterion("chat_cnt =", value, "chatCnt");
            return (Criteria) this;
        }

        public Criteria andChatCntNotEqualTo(Integer value) {
            addCriterion("chat_cnt <>", value, "chatCnt");
            return (Criteria) this;
        }

        public Criteria andChatCntGreaterThan(Integer value) {
            addCriterion("chat_cnt >", value, "chatCnt");
            return (Criteria) this;
        }

        public Criteria andChatCntGreaterThanOrEqualTo(Integer value) {
            addCriterion("chat_cnt >=", value, "chatCnt");
            return (Criteria) this;
        }

        public Criteria andChatCntLessThan(Integer value) {
            addCriterion("chat_cnt <", value, "chatCnt");
            return (Criteria) this;
        }

        public Criteria andChatCntLessThanOrEqualTo(Integer value) {
            addCriterion("chat_cnt <=", value, "chatCnt");
            return (Criteria) this;
        }

        public Criteria andChatCntIn(List<Integer> values) {
            addCriterion("chat_cnt in", values, "chatCnt");
            return (Criteria) this;
        }

        public Criteria andChatCntNotIn(List<Integer> values) {
            addCriterion("chat_cnt not in", values, "chatCnt");
            return (Criteria) this;
        }

        public Criteria andChatCntBetween(Integer value1, Integer value2) {
            addCriterion("chat_cnt between", value1, value2, "chatCnt");
            return (Criteria) this;
        }

        public Criteria andChatCntNotBetween(Integer value1, Integer value2) {
            addCriterion("chat_cnt not between", value1, value2, "chatCnt");
            return (Criteria) this;
        }

        public Criteria andMessageCntIsNull() {
            addCriterion("message_cnt is null");
            return (Criteria) this;
        }

        public Criteria andMessageCntIsNotNull() {
            addCriterion("message_cnt is not null");
            return (Criteria) this;
        }

        public Criteria andMessageCntEqualTo(Integer value) {
            addCriterion("message_cnt =", value, "messageCnt");
            return (Criteria) this;
        }

        public Criteria andMessageCntNotEqualTo(Integer value) {
            addCriterion("message_cnt <>", value, "messageCnt");
            return (Criteria) this;
        }

        public Criteria andMessageCntGreaterThan(Integer value) {
            addCriterion("message_cnt >", value, "messageCnt");
            return (Criteria) this;
        }

        public Criteria andMessageCntGreaterThanOrEqualTo(Integer value) {
            addCriterion("message_cnt >=", value, "messageCnt");
            return (Criteria) this;
        }

        public Criteria andMessageCntLessThan(Integer value) {
            addCriterion("message_cnt <", value, "messageCnt");
            return (Criteria) this;
        }

        public Criteria andMessageCntLessThanOrEqualTo(Integer value) {
            addCriterion("message_cnt <=", value, "messageCnt");
            return (Criteria) this;
        }

        public Criteria andMessageCntIn(List<Integer> values) {
            addCriterion("message_cnt in", values, "messageCnt");
            return (Criteria) this;
        }

        public Criteria andMessageCntNotIn(List<Integer> values) {
            addCriterion("message_cnt not in", values, "messageCnt");
            return (Criteria) this;
        }

        public Criteria andMessageCntBetween(Integer value1, Integer value2) {
            addCriterion("message_cnt between", value1, value2, "messageCnt");
            return (Criteria) this;
        }

        public Criteria andMessageCntNotBetween(Integer value1, Integer value2) {
            addCriterion("message_cnt not between", value1, value2, "messageCnt");
            return (Criteria) this;
        }

        public Criteria andNegativeFeedbackCntIsNull() {
            addCriterion("negative_feedback_cnt is null");
            return (Criteria) this;
        }

        public Criteria andNegativeFeedbackCntIsNotNull() {
            addCriterion("negative_feedback_cnt is not null");
            return (Criteria) this;
        }

        public Criteria andNegativeFeedbackCntEqualTo(Integer value) {
            addCriterion("negative_feedback_cnt =", value, "negativeFeedbackCnt");
            return (Criteria) this;
        }

        public Criteria andNegativeFeedbackCntNotEqualTo(Integer value) {
            addCriterion("negative_feedback_cnt <>", value, "negativeFeedbackCnt");
            return (Criteria) this;
        }

        public Criteria andNegativeFeedbackCntGreaterThan(Integer value) {
            addCriterion("negative_feedback_cnt >", value, "negativeFeedbackCnt");
            return (Criteria) this;
        }

        public Criteria andNegativeFeedbackCntGreaterThanOrEqualTo(Integer value) {
            addCriterion("negative_feedback_cnt >=", value, "negativeFeedbackCnt");
            return (Criteria) this;
        }

        public Criteria andNegativeFeedbackCntLessThan(Integer value) {
            addCriterion("negative_feedback_cnt <", value, "negativeFeedbackCnt");
            return (Criteria) this;
        }

        public Criteria andNegativeFeedbackCntLessThanOrEqualTo(Integer value) {
            addCriterion("negative_feedback_cnt <=", value, "negativeFeedbackCnt");
            return (Criteria) this;
        }

        public Criteria andNegativeFeedbackCntIn(List<Integer> values) {
            addCriterion("negative_feedback_cnt in", values, "negativeFeedbackCnt");
            return (Criteria) this;
        }

        public Criteria andNegativeFeedbackCntNotIn(List<Integer> values) {
            addCriterion("negative_feedback_cnt not in", values, "negativeFeedbackCnt");
            return (Criteria) this;
        }

        public Criteria andNegativeFeedbackCntBetween(Integer value1, Integer value2) {
            addCriterion("negative_feedback_cnt between", value1, value2, "negativeFeedbackCnt");
            return (Criteria) this;
        }

        public Criteria andNegativeFeedbackCntNotBetween(Integer value1, Integer value2) {
            addCriterion("negative_feedback_cnt not between", value1, value2, "negativeFeedbackCnt");
            return (Criteria) this;
        }

        public Criteria andNewApplyCntIsNull() {
            addCriterion("new_apply_cnt is null");
            return (Criteria) this;
        }

        public Criteria andNewApplyCntIsNotNull() {
            addCriterion("new_apply_cnt is not null");
            return (Criteria) this;
        }

        public Criteria andNewApplyCntEqualTo(Integer value) {
            addCriterion("new_apply_cnt =", value, "newApplyCnt");
            return (Criteria) this;
        }

        public Criteria andNewApplyCntNotEqualTo(Integer value) {
            addCriterion("new_apply_cnt <>", value, "newApplyCnt");
            return (Criteria) this;
        }

        public Criteria andNewApplyCntGreaterThan(Integer value) {
            addCriterion("new_apply_cnt >", value, "newApplyCnt");
            return (Criteria) this;
        }

        public Criteria andNewApplyCntGreaterThanOrEqualTo(Integer value) {
            addCriterion("new_apply_cnt >=", value, "newApplyCnt");
            return (Criteria) this;
        }

        public Criteria andNewApplyCntLessThan(Integer value) {
            addCriterion("new_apply_cnt <", value, "newApplyCnt");
            return (Criteria) this;
        }

        public Criteria andNewApplyCntLessThanOrEqualTo(Integer value) {
            addCriterion("new_apply_cnt <=", value, "newApplyCnt");
            return (Criteria) this;
        }

        public Criteria andNewApplyCntIn(List<Integer> values) {
            addCriterion("new_apply_cnt in", values, "newApplyCnt");
            return (Criteria) this;
        }

        public Criteria andNewApplyCntNotIn(List<Integer> values) {
            addCriterion("new_apply_cnt not in", values, "newApplyCnt");
            return (Criteria) this;
        }

        public Criteria andNewApplyCntBetween(Integer value1, Integer value2) {
            addCriterion("new_apply_cnt between", value1, value2, "newApplyCnt");
            return (Criteria) this;
        }

        public Criteria andNewApplyCntNotBetween(Integer value1, Integer value2) {
            addCriterion("new_apply_cnt not between", value1, value2, "newApplyCnt");
            return (Criteria) this;
        }

        public Criteria andNewContactCntIsNull() {
            addCriterion("new_contact_cnt is null");
            return (Criteria) this;
        }

        public Criteria andNewContactCntIsNotNull() {
            addCriterion("new_contact_cnt is not null");
            return (Criteria) this;
        }

        public Criteria andNewContactCntEqualTo(Integer value) {
            addCriterion("new_contact_cnt =", value, "newContactCnt");
            return (Criteria) this;
        }

        public Criteria andNewContactCntNotEqualTo(Integer value) {
            addCriterion("new_contact_cnt <>", value, "newContactCnt");
            return (Criteria) this;
        }

        public Criteria andNewContactCntGreaterThan(Integer value) {
            addCriterion("new_contact_cnt >", value, "newContactCnt");
            return (Criteria) this;
        }

        public Criteria andNewContactCntGreaterThanOrEqualTo(Integer value) {
            addCriterion("new_contact_cnt >=", value, "newContactCnt");
            return (Criteria) this;
        }

        public Criteria andNewContactCntLessThan(Integer value) {
            addCriterion("new_contact_cnt <", value, "newContactCnt");
            return (Criteria) this;
        }

        public Criteria andNewContactCntLessThanOrEqualTo(Integer value) {
            addCriterion("new_contact_cnt <=", value, "newContactCnt");
            return (Criteria) this;
        }

        public Criteria andNewContactCntIn(List<Integer> values) {
            addCriterion("new_contact_cnt in", values, "newContactCnt");
            return (Criteria) this;
        }

        public Criteria andNewContactCntNotIn(List<Integer> values) {
            addCriterion("new_contact_cnt not in", values, "newContactCnt");
            return (Criteria) this;
        }

        public Criteria andNewContactCntBetween(Integer value1, Integer value2) {
            addCriterion("new_contact_cnt between", value1, value2, "newContactCnt");
            return (Criteria) this;
        }

        public Criteria andNewContactCntNotBetween(Integer value1, Integer value2) {
            addCriterion("new_contact_cnt not between", value1, value2, "newContactCnt");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}